LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
FilterOperator2.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::FilterOperator2
| specifies the type of a single condition in a filter descriptor.

## Variables
const long | EMPTY = 0
| selects empty entries. More...
const long | NOT_EMPTY = 1
| selects non-empty entries. More...
const long | EQUAL = 2
| value has to be equal to the specified value. More...
const long | NOT_EQUAL = 3
| value must not be equal to the specified value. More...
const long | GREATER = 4
| value has to be greater than the specified value. More...
const long | GREATER_EQUAL = 5
| value has to be greater than or equal to the specified value. More...
const long | LESS = 6
| value has to be less than the specified value. More...
const long | LESS_EQUAL = 7
| value has to be less than or equal to the specified value. More...
const long | TOP_VALUES = 8
| selects a specified number of entries with the greatest values. More...
const long | TOP_PERCENT = 9
| selects a specified percentage of entries with the greatest values. More...
const long | BOTTOM_VALUES = 10
| selects a specified number of entries with the lowest values. More...
const long | BOTTOM_PERCENT = 11
| selects a specified percentage of entries with the lowest values. More...
const long | CONTAINS = 12
| selects contains entries. More...
const long | DOES_NOT_CONTAIN = 13
| selects does-not-contain entries. More...
const long | BEGINS_WITH = 14
| selects begins-with entries. More...
const long | DOES_NOT_BEGIN_WITH = 15
| selects does-not-begin-with entries. More...
const long | ENDS_WITH = 16
| selects ends-with entries. More...
const long | DOES_NOT_END_WITH = 17
| selects does-not-end-with entries. More...